> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Flex Tax Rule Template



## OpenAPI

````yaml post /api/v2/flex/tax-rule-templates
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/flex/tax-rule-templates:
    post:
      operationId: ApiV2FlexTaxRuleTemplateController_createFlexTaxRuleTemplate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFlexTaxRuleTemplateInputDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlexTaxRuleTemplateOutputDto'
      security:
        - bearer: []
components:
  schemas:
    CreateFlexTaxRuleTemplateInputDto:
      type: object
      properties:
        companyIds:
          type: array
          items:
            type: string
        name:
          type: string
        rules:
          type: array
          items:
            $ref: '#/components/schemas/CreateFlexTaxRuleInputDto'
      required:
        - name
        - rules
    FlexTaxRuleTemplateOutputDto:
      type: object
      properties:
        id:
          type: string
        companyIds:
          type: array
          items:
            type: string
        name:
          type: string
        rules:
          items:
            type: array
          type: array
        taxAffiliations:
          type: array
          items:
            type: string
            enum:
              - AT
              - BE
              - CH
              - DE
              - ES
              - FR
              - GB
              - LU
              - NL
              - RO
      required:
        - id
        - companyIds
        - name
        - rules
        - taxAffiliations
    CreateFlexTaxRuleInputDto:
      type: object
      properties:
        module:
          type: string
          enum:
            - MEALS
            - HEALTH
            - INTERNET
            - HOLIDAY
            - KITA
            - MOBILITY
            - SPORTS
        taxAffiliation:
          type: string
          enum:
            - AT
            - BE
            - CH
            - DE
            - ES
            - FR
            - GB
            - LU
            - NL
            - RO
        budgets:
          type: array
          items:
            $ref: '#/components/schemas/CreateFlexTaxBudgetInputDto'
        maxDaysPerMonth:
          type: number
          nullable: true
        isOnlyPublicTransportAllowed:
          type: boolean
          nullable: true
      required:
        - module
        - taxAffiliation
    CreateFlexTaxBudgetInputDto:
      type: object
      properties:
        interval:
          type: string
          enum:
            - YEAR
            - MONTH
            - DAY
        budget:
          $ref: '#/components/schemas/MonetaryAmountInputDto'
      required:
        - interval
        - budget
    MonetaryAmountInputDto:
      type: object
      properties:
        value:
          type: number
        currency:
          type: string
          enum:
            - EUR_CENT
            - LEU_BANI
            - GBP_PENCE
            - CHF_CENTIMES
      required:
        - value
        - currency
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````